#include <iostream>
using namespace std;
int main ()
{
    int m,n,cnt = 0;
     int l;
    cin >> l >> m >> n;
    while (l > 0)
    {
        l -= m;
        m += n;
        cnt++;
    }
    cout << cnt;
    return 0;
}
